lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master a13e9f6 08/10: Extract block into sub-script


From: Greg Chicares
Subject: [lmi-commits] [lmi] master a13e9f6 08/10: Extract block into sub-script #00 centos
Date: Thu, 28 May 2020 20:34:10 -0400 (EDT)

branch: master
commit a13e9f65ed8bd493c994f371c491044cb18cdd5c
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Extract block into sub-script #00 centos
---
 install_centos.sh | 45 +--------------------------------------------
 lmi_setup_00c.sh  | 45 ++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 45 insertions(+), 45 deletions(-)

diff --git a/install_centos.sh b/install_centos.sh
index ef77b84..262a9b1 100755
--- a/install_centos.sh
+++ b/install_centos.sh
@@ -90,50 +90,7 @@ set -evx
 assert_su
 assert_not_chrooted
 
-./lmi_setup_02c.sh
-
-set -evx
-
-cat >/etc/schroot/chroot.d/centos7lmi.conf <<EOF
-[centos7lmi]
-description=centos-7.7
-directory=/srv/chroot/centos7lmi
-users=${CHROOT_USERS}
-groups=${NORMAL_GROUP}
-root-groups=root
-shell=/bin/zsh
-type=plain
-EOF
-
-./lmi_setup_10c.sh
-
-rinse --arch amd64 --distribution centos-7 \
-  --directory /srv/chroot/centos7lmi \
-
-mkdir -p /var/cache/centos_lmi
-# There are probably a few directories here, with no regular files.
-du   -sb /srv/chroot/centos7lmi/var/cache/yum || echo "Oops: rinse didn't 
create cache"
-mkdir -p /srv/chroot/centos7lmi/var/cache/yum
-mount --bind /var/cache/centos_lmi /srv/chroot/centos7lmi/var/cache/yum
-
-echo Installed centos chroot.
-
-cp -a /tmp/schroot_env /srv/chroot/centos7lmi/tmp
-cp -a lmi_setup_*.sh   /srv/chroot/centos7lmi/tmp
-
-# BEGIN ./lmi_setup_13.sh
-CACHEDIR=/var/cache/"${CODENAME}"
-mkdir -p "${CACHEDIR}"
-mkdir -p /srv/chroot/centos7lmi/"${CACHEDIR}"
-mount --bind "${CACHEDIR}" /srv/chroot/centos7lmi/"${CACHEDIR}"
-
-mkdir -p /srv/cache_for_lmi
-du   -sb /srv/chroot/centos7lmi/srv/cache_for_lmi || echo "Okay."
-mkdir -p /srv/chroot/centos7lmi/srv/cache_for_lmi
-mount --bind /srv/cache_for_lmi /srv/chroot/centos7lmi/srv/cache_for_lmi
-# END   ./lmi_setup_13.sh
-
-schroot --chroot=centos7lmi --user=root --directory=/tmp ./lmi_setup_00c.sh
+./lmi_setup_00c.sh
 
 # Copy log files that may be useful for tracking down problems with
 # certain commands whose output is voluminous and often uninteresting.
diff --git a/lmi_setup_00c.sh b/lmi_setup_00c.sh
index aad6fd0..d855deb 100755
--- a/lmi_setup_00c.sh
+++ b/lmi_setup_00c.sh
@@ -29,4 +29,47 @@ set -evx
 assert_su
 assert_not_chrooted
 
-./lmi_setup_01c.sh
+./lmi_setup_02c.sh
+
+set -evx
+
+cat >/etc/schroot/chroot.d/centos7lmi.conf <<EOF
+[centos7lmi]
+description=centos-7.7
+directory=/srv/chroot/centos7lmi
+users=${CHROOT_USERS}
+groups=${NORMAL_GROUP}
+root-groups=root
+shell=/bin/zsh
+type=plain
+EOF
+
+./lmi_setup_10c.sh
+
+rinse --arch amd64 --distribution centos-7 \
+  --directory /srv/chroot/centos7lmi \
+
+mkdir -p /var/cache/centos_lmi
+# There are probably a few directories here, with no regular files.
+du   -sb /srv/chroot/centos7lmi/var/cache/yum || echo "Oops: rinse didn't 
create cache"
+mkdir -p /srv/chroot/centos7lmi/var/cache/yum
+mount --bind /var/cache/centos_lmi /srv/chroot/centos7lmi/var/cache/yum
+
+echo Installed centos chroot.
+
+cp -a /tmp/schroot_env /srv/chroot/centos7lmi/tmp
+cp -a lmi_setup_*.sh   /srv/chroot/centos7lmi/tmp
+
+# BEGIN ./lmi_setup_13.sh
+CACHEDIR=/var/cache/"${CODENAME}"
+mkdir -p "${CACHEDIR}"
+mkdir -p /srv/chroot/centos7lmi/"${CACHEDIR}"
+mount --bind "${CACHEDIR}" /srv/chroot/centos7lmi/"${CACHEDIR}"
+
+mkdir -p /srv/cache_for_lmi
+du   -sb /srv/chroot/centos7lmi/srv/cache_for_lmi || echo "Okay."
+mkdir -p /srv/chroot/centos7lmi/srv/cache_for_lmi
+mount --bind /srv/cache_for_lmi /srv/chroot/centos7lmi/srv/cache_for_lmi
+# END   ./lmi_setup_13.sh
+
+schroot --chroot=centos7lmi --user=root --directory=/tmp ./lmi_setup_01c.sh



reply via email to

[Prev in Thread] Current Thread [Next in Thread]